Subject: Re: [PATCH net-next v2 2/2] net: phy: aquantia: add hwmon support

From: Andrew Lunn <[email-masked]>
Date: Mon, 25 Feb 2019 05:02:03 +0100

On Sun, Feb 24, 2019 at 06:17:49PM -0800, Florian Fainelli wrote:
> Le 2/24/19 à 1:36 PM, Heiner Kallweit a écrit :
> > This adds HWMON support for the temperature sensor and the related
> > alarms on the 107/108/109 chips. This patch is based on work from
> > Nikita and Andrew. I added:
> > - support for changing alarm thresholds via sysfs
> > - move HWMON code to a separate source file to improve maintainability
> > - smaller changes like using IS_REACHABLE instead of ifdef
> >   (avoids problems if PHY driver is built in and HWMON is a module)
> > 
> > v2:
> > - remove struct aqr_priv
> > - rename header file to aquantia.h
> > 
> > Signed-off-by: Nikita Yushchenko <[email-masked]>
> 
> Should not Nikita be the author for that patch? Some minor nits below:
> 
> > Signed-off-by: Andrew Lunn <[email-masked]>
> > Signed-off-by: Heiner Kallweit <[email-masked]>

Hi Florian

The history is convoluted. I did the initial implementation, but at
the time i did not have the hardware. So it got passed to Nikita who
did. He made it actually work, and passed patches back. I then passed
it onto Heiner who has done all the work on the driver and core for
C45.

	Andrew